/**
 * 总路由入口
 */

import * as publicRouters from './public';
import * as mobileClientEnterpriseRouters from './mobileClient/enterprise';
import * as myEnterpriseRouters from './mobileClient/myEnterprise';
import * as mobileClientFinancingRouters from './mobileClient/financing';
import * as mobileClientFuHuaQiRouters from './mobileClient/fuHuaQi';
import * as mobileClientMonthRouters from './mobileClient/month';
import * as mobileClientUserRouters from './mobileClient/user';
import * as mobileClientBusinessRouters from './mobileClient/business';
import * as institutionalNatureRouters from './mobileClient/institutionalNature';

import * as adminEnterpriseRouters from './admin/enterprise';
import * as adminFuHuaQiRouters from './admin/fuHuaQi';
import * as adminUserRouters from './admin/user';
import * as adminScoreRouters from './admin/score';
import * as adminTaskRouters from './admin/task';
import * as informationRouters from './admin/information';

import * as provideRouters from './provide';

import * as enterpriseMobileBaseRouters from './enterpriseMobileClient/base';
import * as enterpriseMobileBusinessdataRouters from './enterpriseMobileClient/businessdata';
import * as enterpriseMobileDatadeclarationRouters from './enterpriseMobileClient/datadeclaration';
import * as enterpriseMobileUserRouters from './enterpriseMobileClient/user';
import * as enterpriseMobileFinancingRouters from './enterpriseMobileClient/financing';


export function setRouter(httpServer){
    /**下拉框等公用 路由 */
    publicRouters.setRouter(httpServer);
    /**小程序端 孵化器入口路由 */
    mobileClientEnterpriseRouters.setRouter(httpServer);
    myEnterpriseRouters.setRouter(httpServer);
    mobileClientFinancingRouters.setRouter(httpServer);
    mobileClientFuHuaQiRouters.setRouter(httpServer);
    mobileClientMonthRouters.setRouter(httpServer);
    mobileClientBusinessRouters.setRouter(httpServer);
    mobileClientUserRouters.setRouter(httpServer);
    institutionalNatureRouters.setRouter(httpServer);
    /**管理后台端 入口路由 */
    adminEnterpriseRouters.setRouter(httpServer);
    adminFuHuaQiRouters.setRouter(httpServer);
    adminUserRouters.setRouter(httpServer);
    adminScoreRouters.setRouter(httpServer);
    adminTaskRouters.setRouter(httpServer);
    informationRouters.setRouter(httpServer);
    /**系统维护 入口路由 */
    provideRouters.setRouter(httpServer);
    /**小程序企业端 入口路由 */
    enterpriseMobileBaseRouters.setRouter(httpServer);
    enterpriseMobileBusinessdataRouters.setRouter(httpServer);
    enterpriseMobileDatadeclarationRouters.setRouter(httpServer);
    enterpriseMobileUserRouters.setRouter(httpServer);
    enterpriseMobileFinancingRouters.setRouter(httpServer);
}